# $Revision: 1.16 $, $Date: 2009/03/02 11:55:00 $
#
# Conditional build:
%bcond_without	SDL_mixer	# build without SDL_mixer
%bcond_without	SDL_net		# build without SDL_net
#
Summary:	A hex-based tactical war game
Summary(pl.UTF-8):	Taktyczna gra wojenna oparta na hex
Name:		crimsonfields
Version:	0.5.3
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games/Strategy
Source0:	http://crimson.seul.org/files/crimson-%{version}.tar.bz2
# Source0-md5:	9e71bc8c12ddadf42136a3e07ae86a2c
Patch0:		%{name}-autothingies.patch
Patch1:		%{name}-desktop.patch
URL:		http://crimson.seul.org/
BuildRequires:	SDL-devel >= 1.1.5
%{?with_SDL_mixer:BuildRequires:	SDL_mixer-devel}
%{?with_SDL_net:BuildRequires:	SDL_net-devel >= 1.2.6}
BuildRequires:	SDL_sound-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crimson Fields is a tactical war game in the tradition of Battle Isle
for one or two players.

The outcome of the war lies in your hands. You decide which units are
sent to the front lines, and when to unleash the reserves. Your
mission objectives range from defending strategically vital locations
to simply destroying all enemy forces in the area. Protect supply
convoys or raid enemy facilities to uncover technological secrets or
fill your storage bays so you can repair damaged units or build new
ones in your own factories. Lead your troops to victory!

Tools are available to create custom maps and campaigns. You can also
play the original Battle Isle maps if you have a copy of the game.

%description -l pl.UTF-8
Crimson Fields to taktyczna gra wojenna dla jednego lub dwóch graczy,
utrzymana w tradycji Battle Isle.

Wynik gry leży w Twoich rękach. Ty decydujesz, które jednostki są
wysyłane na linie frontu i kiedy wypuścić rezerwę. Cele misji
rozciągają się od obrony strategicznych miejsc po zwykłe
zniszczenie wszystkich sił wroga w terenie. Zabezpiecz konwoje
dostawcze albo najedź na wroga, aby odkryć jego sekrety
technologiczne lub uzupełnić swoje zapasy, co umożliwi naprawę
uszkodzonych jednostek albo zbudowanie nowych we własnych fabrykach.
Prowadź swoje wojsko do zwycięstwa!

Dostępne są narzędzia do tworzenia własnych map i kampanii. Można
także grać na oryginalnych mapach Battle Isle, jeśli mamy kopię
gry.

%prep
%setup -q -n crimson-%{version}
%patch0 -p1
%patch1 -p1

%build
cp %{_datadir}/automake/config.sub config/.
cp %{_datadir}/automake/config.guess config/.
%{__glib_gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-cfed \
	--enable-bi2cf \
	--enable-comet
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/crimson
%{_datadir}/crimson/*.ttf
%{_datadir}/crimson/cf.dat
%{_datadir}/crimson/default.*
%{_datadir}/crimson/*.bmp
%{_datadir}/crimson/levels
%dir %{_datadir}/crimson/locale
%lang(de) %{_datadir}/crimson/locale/de.dat
%lang(fr) %{_datadir}/crimson/locale/fr.dat
%lang(en) %{_datadir}/crimson/locale/en.dat
%lang(hu) %{_datadir}/crimson/locale/hu.dat
%lang(it) %{_datadir}/crimson/locale/it.dat
%lang(pl) %{_datadir}/crimson/locale/pl.dat
%lang(sk) %{_datadir}/crimson/locale/sk.dat
%lang(sr) %{_datadir}/crimson/locale/sr.dat
%lang(tr) %{_datadir}/crimson/locale/tr.dat
%{_datadir}/crimson/music
%{_datadir}/crimson/sound
%{_desktopdir}/*.desktop
%{_mandir}/man*/*
%{_pixmapsdir}/crimson.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crimsonfields.spec,v $
Revision 1.16  2009/03/02 11:55:00  lisu
- up to 0.5.3
- more language files
- adapter

Revision 1.15  2007/12/18 20:04:44  lisu
- 0.5.2

Revision 1.14  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.12  2007/01/27 10:07:08  lisu
- 0.5.1
- new international files added
- cosmetics

Revision 1.11  2006/12/09 09:03:43  lisu
- 0.5.0
- GPL v2+ License
- bconds: SDL_mixer and SDL_net

Revision 1.10  2005/10/19 09:41:26  adamg
- updated to 0.4.9

Revision 1.9  2005/06/19 17:47:16  koorek
- desktop patch added

Revision 1.8  2005/06/19 17:35:36  koorek
- updated to 0.4.8

Revision 1.7  2005/03/28 16:46:54  adamg
- updated to 0.4.7

Revision 1.6  2004/12/15 12:17:16  radek
- minor License unifications

Revision 1.5  2004/07/27 15:51:14  kolodko
- up to 0.4.3
- added some %lang

Revision 1.4  2004/04/25 18:41:48  adamg
- updated to 0.4.2 (ToDo still not done :( )

Revision 1.3  2004/03/08 18:01:08  qboosh
- pl (I think personal forms are OK in this context)

Revision 1.2  2004/03/07 21:22:33  adamg
- added ToDo and some BuildRequires

Revision 1.1  2004/03/07 21:11:04  adamg
- initial import
